%define module 	XML-Simple
%define version 2.03
%define release 1mdk

Summary:	XML-Simple perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://www.cpan.org
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 0:5.600 perl-Storable perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
XML-Simple - trivial API to manipulate XML

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}
make test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 2.03-1mdk
- 2.03.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.08-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.08-2mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- removed filelist.
- build as noarch.
- 1.08.

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.06-1mdk
- 1.06
- url

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.05-3mdk
- fix BuildRequires

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- rebuild

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.05-1mdk
- new in contribs

